# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Bencode
Version:        1.4
Release:        alt1_7
Summary:        BitTorrent serialization format
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Bencode/
Source0:        http://www.cpan.org/authors/id/A/AR/ARISTOTLE/Bencode-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
This module implements the BitTorrent bencode serialization format as
described in http://www.bittorrent.org/protocol.html.

%prep
%setup -q -n Bencode-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_4
- fc import

